Package com.sap.ai.sdk.orchestration.model

# Enum Class TemplateRefByScenarioNameVersion.ScopeEnum

java.lang.Object
java.lang.Enum<TemplateRefByScenarioNameVersion.ScopeEnum>
com.sap.ai.sdk.orchestration.model.TemplateRefByScenarioNameVersion.ScopeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<TemplateRefByScenarioNameVersion.ScopeEnum>`, `Constable`

Enclosing class:
  `TemplateRefByScenarioNameVersion`

public static enum TemplateRefByScenarioNameVersion.ScopeEnum extends Enum<TemplateRefByScenarioNameVersion.ScopeEnum>
Defines the scope that is searched for the referenced template. 'tenant' indicates the template is shared across all resource groups within the tenant, while 'resource_group' indicates the template is only accessible within the specific resource group.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RESOURCE_GROUP`
  The RESOURCE_GROUP option of this TemplateRefByScenarioNameVersion
  `TENANT`
  The TENANT option of this TemplateRefByScenarioNameVersion
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this TemplateRefByScenarioNameVersion

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TemplateRefByScenarioNameVersion.ScopeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static TemplateRefByScenarioNameVersion.ScopeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TemplateRefByScenarioNameVersion.ScopeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESOURCE_GROUP

    public static final TemplateRefByScenarioNameVersion.ScopeEnum RESOURCE_GROUP
    The RESOURCE_GROUP option of this TemplateRefByScenarioNameVersion

  - ### TENANT

    public static final TemplateRefByScenarioNameVersion.ScopeEnum TENANT
    The TENANT option of this TemplateRefByScenarioNameVersion

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final TemplateRefByScenarioNameVersion.ScopeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this TemplateRefByScenarioNameVersion

- ## Method Details

  - ### values

    public static TemplateRefByScenarioNameVersion.ScopeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TemplateRefByScenarioNameVersion.ScopeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<TemplateRefByScenarioNameVersion.ScopeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static TemplateRefByScenarioNameVersion.ScopeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type TemplateRefByScenarioNameVersion